{
    //...
    "require": {
        //..

        // Laravel provided stuff
        "laravel/cashier": "", // fluent interface to Stripe
        "laravel/horizon": "", // dashboard and configuration for Laravel queues
        "laravel/telescope": "", // debugging tool from Laravel for Laravel

        "laravel/scout": "", // full-text search to Eloquent models
        "meilisearch/meilisearch-php": "", // use Meilisearch for Scout funtionality
        "http-interop/http-factory-guzzle": "", // use Meilisearch for Scout funtionality
        "dwarfdk/laravel-meilitools": "", // additional tools for Meilisearch (https://github.com/dwarfhq/laravel-meilitools)

        // Roles / Permissions
        "spatie/laravel-permission": "",
        "zizaco/entrust": "",

        // Options/Flags
        "spatie/laravel-model-flags": "", // add a simple true/false flag to any model

        // SDKs
        "aws/aws-sdk-php-laravel": "", // interact with S3 or S3-compatible storage
        "propaganistas/laravel-phone": "", // uses Google's libphonenumber API to (try to) sanely handle phone numbers
        "vladimir-yuldashev/laravel-queue-rabbitmq": "", // Interface with RabbitMQ servers
        "grimzy/laravel-mysql-spatial": "", // Adds Geo-spatial column support for MySQL (WARNING: only works with Laravel v8 or lower)
        "matanyadaev/laravel-eloquent-spatial": "", // Adds Geo-spatial column support for MySQL
        "irazasyed/telegram-bot-sdk": "", // unofficial Telegram Bot API/SDK
        "torann/geoip": "", // support for multiple GeoIP services
        "coderjerk/nasa-php": "", // NASA API integrations

        // Media (image/video/audio) Management
        "intervention/image": "", // image manipulation
        "intervention/imagecache": "", // caching for intervention/image
        "spatie/laravel-medialibrary": "", // manage a small or large amount of media smartly
        "spatie/laravel-image-optimizer": "", // optimize png, jpg, svg, and gif
        "unisharp/laravel-filemanager": "", // File manager (including uploads)
        "pbmedia/laravel-ffmpeg": "", // Integration with FFMpeg

        // Localization
        "mcamara/laravel-localization": "", // localization that also handles route translations
        "barryvdh/laravel-translation-manager": "", // self-evident

        // PDF stuff
        "creagia/laravel-sign-pad": "", // allows signatures on documents

        // Geo-spatial
        "brick/geo": "", // GIS geometry library
        "stevebauman/location": "", // retrieve a user's location by their IP address

        // Websockets
        "beyondcode/laravel-websockets": "", // use websockets in the same laravel application

        // Helpers/Generators
        "infyomlabs/laravel-calendar-events": "", // help with handling future dates without having to store records in the database
        "lab404/laravel-impersonate": "", // Impersonate other users in your application
        "kitloong/laravel-migrations-generator": "", // create migrations based on your existing database
        "spatie/laravel-sitemap": "", // generate site maps
        "artesaos/seotools": "", // automatic SEO tools
        "eumanito/php-capitalize-names": "", // Capitalize names with funky rules

        // Others/uncategorized
        "appstract/laravel-opcache": "", // provides artisan commands to interact with opcache (not sure if site-specific)
        "brick/math": "", // arbitrary-precision arithmetic library
        "brick/money": "", // money and currency library

        "protonemedia/laravel-verify-new-email": "", // must verify new email address before email update will be completed
        "protonemedia/inertiajs-tables-laravel-query-builder": "", // datatables for InertiaJS/Vue and Laravel


        "doctrine/dbal": "", // useful for artisan db:show
    },
    "require-dev": {
        //..
        "itsgoingd/clockwork": "",
        "phpstan/phpstan": "",
        "psalm/plugin-laravel": "",
        "vimeo/psalm": "",
        "slevomat/coding-standard": "^8.5", // additional coding standards to match Laravel
        "squizlabs/php_codesniffer": "^3.7"
    },
    //...
    "autoload": {
        //...,
        "files": [
            "helpers/constants/cache_ttl.php",
            "helpers/constants/http_status_codes.php",
            "helpers/global_functions.php"
        ]
    },
    //...
    "scripts": {
        "post-autoload-dump": [
            //...,
            "@php artisan ziggy:generate --ansi"
        ],
    },
}